Create an external-role-mapping entry
Creates an entry for mapping external roles to ONTAP roles. Use this endpoint when you need to define role associations between external authentication providers and ONTAP.
HTTP method and endpoint
POST /security/external-role-mappings
Introduced in
ONTAP 9.16
Usage notes
Creates an external-role-mapping entry.
Required properties
-
external_role -
provider -
ontap_role
Optional properties
-
comment
Related ONTAP commands
-
security login external-role-mapping create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
comment |
string |
Any comment regarding this external-role-mapping entry. |
external_role |
string |
External Identity provider role. |
ontap_role |
ONTAP role to map with the external identity role.
|
|
provider |
string |
Type of the external identity provider. |
timestamp |
string |
Date and time indicating when this external-role-mapping entry was created. |
Example request
{
"comment": "string",
"external_role": "string",
"ontap_role": {
"name": "admin"
},
"provider": "string",
"timestamp": "string"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records. |
records |
Example response
{
"records": [
{
"comment": "string",
"external_role": "string",
"ontap_role": {
"name": "admin"
},
"provider": "string",
"timestamp": "string"
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
5636243 |
Provided ONTAP role is not configured. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self_link
_links
ontap_role
ONTAP role to map with the external identity role.
| Name | Type | Description |
|---|---|---|
name |
string |
Role name |
security_external_role_mapping
| Name | Type | Description |
|---|---|---|
comment |
string |
Any comment regarding this external-role-mapping entry. |
external_role |
string |
External Identity provider role. |
ontap_role |
ONTAP role to map with the external identity role.
|
|
provider |
string |
Type of the external identity provider. |
timestamp |
string |
Date and time indicating when this external-role-mapping entry was created. |
collection_links
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |